// BuildingDialog.cpp : implementation file
//

#include "stdafx.h"
#include "wgsumenu.h"
#include "BuildingDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// BuildingDialog dialog


BuildingDialog::BuildingDialog(CWnd* pParent /*=NULL*/)
	: CDialog(BuildingDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(BuildingDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void BuildingDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(BuildingDialog)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(BuildingDialog, CDialog)
	//{{AFX_MSG_MAP(BuildingDialog)
	ON_WM_CHAR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// BuildingDialog message handlers

void BuildingDialog::OnChar(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	if (nChar == VK_ESCAPE)
     {
          return;
     }
	
	CDialog::OnChar(nChar, nRepCnt, nFlags);
}
